Upstream information

CVE-2019-20807 at MITRE

Description

In Vim before 8.1.0881, users can circumvent the rvim restricted mode and execute arbitrary OS commands via scripting interfaces (e.g., Python, Ruby, or Lua).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 6.3
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:L/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact Low Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1172225 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1550
Image SLES15-EC2-CHOST-HVM-BYOS
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-Ali
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-OpenStack
  • vim >= 8.0.1568-5.6.1
  • vim-data-common >= 8.0.1568-5.6.1
SUSE Enterprise Storage 5
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-Storage-5-2020-1550
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • vim >= 8.0.1568-5.6.1
  • vim-data >= 8.0.1568-5.6.1
  • vim-data-common >= 8.0.1568-5.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-1551
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • vim >= 8.0.1568-5.6.1
  • vim-data >= 8.0.1568-5.6.1
  • vim-data-common >= 8.0.1568-5.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-1551
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • vim >= 8.0.1568-5.6.1
  • vim-data >= 8.0.1568-5.6.1
  • vim-data-common >= 8.0.1568-5.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-1551
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • gvim >= 8.0.1568-5.6.1
  • vim >= 8.0.1568-5.6.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-1551
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • gvim >= 8.0.1568-5.6.1
  • vim >= 8.0.1568-5.6.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2020-1551
SUSE Linux Enterprise Point of Sale 11 SP3
  • gvim >= 7.2-8.21.6.2
  • vim >= 7.2-8.21.6.2
  • vim-base >= 7.2-8.21.6.2
  • vim-data >= 7.2-8.21.6.2
Patchnames:
sleposp3-vim-14385
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1550
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • gvim >= 7.2-8.21.6.2
  • vim >= 7.2-8.21.6.2
  • vim-base >= 7.2-8.21.6.2
  • vim-data >= 7.2-8.21.6.2
Patchnames:
slessp4-vim-14385
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1550
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1550
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1550
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1550
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1550
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1550
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1550
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1550
SUSE Linux Enterprise Server 15-LTSS
  • vim >= 8.0.1568-5.6.1
  • vim-data >= 8.0.1568-5.6.1
  • vim-data-common >= 8.0.1568-5.6.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-1551
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1550
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1550
SUSE Linux Enterprise Server for SAP Applications 15
  • vim >= 8.0.1568-5.6.1
  • vim-data >= 8.0.1568-5.6.1
  • vim-data-common >= 8.0.1568-5.6.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-1551
SUSE OpenStack Cloud 7
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1550
SUSE OpenStack Cloud 8
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1550
SUSE OpenStack Cloud Crowbar 8
  • gvim >= 7.4.326-17.6.1
  • vim >= 7.4.326-17.6.1
  • vim-data >= 7.4.326-17.6.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1550
openSUSE Leap 15.1
  • gvim >= 8.0.1568-lp151.5.6.1
  • gvim-debuginfo >= 8.0.1568-lp151.5.6.1
  • vim >= 8.0.1568-lp151.5.6.1
  • vim-data >= 8.0.1568-lp151.5.6.1
  • vim-data-common >= 8.0.1568-lp151.5.6.1
  • vim-debuginfo >= 8.0.1568-lp151.5.6.1
  • vim-debugsource >= 8.0.1568-lp151.5.6.1
Patchnames:
openSUSE-2020-794


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 3.0 vim Affected
SUSE Container as a Service Platform 1.0 vim Affected
SUSE Container as a Service Platform 2.0 vim Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem vim Released
SUSE Linux Enterprise 15-SP1 Module for Desktop Applications vim Released
SUSE Linux Enterprise High Performance Computing 12 SP4 vim Released
SUSE Linux Enterprise High Performance Computing 12 SP5 vim Released
SUSE Linux Enterprise High Performance Computing 15 LTSS vim Released
SUSE Linux Enterprise Point of Service 11 SP3 vim Released
SUSE Linux Enterprise Server 11 SP4 LTSS vim Released
SUSE Linux Enterprise Server 12 SP1 LTSS vim Affected
SUSE Linux Enterprise Server 12 SP2 BCL vim Released
SUSE Linux Enterprise Server 12 SP2 LTSS vim Released
SUSE Linux Enterprise Server 12 SP3 BCL vim Released
SUSE Linux Enterprise Server 12 SP3 LTSS vim Released
SUSE Linux Enterprise Server 12 SP4 vim Released
SUSE Linux Enterprise Server 12 SP5 vim Released
SUSE Linux Enterprise Server 15 LTSS vim Released
SUSE Linux Enterprise Server ESPOS 15 vim Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 vim Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 vim Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 vim Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 vim Released